## erlang 19.2.1+dfsg-2+really23.3.4.18

=== debian/changelog ===
erlang (1:19.2.1+dfsg-2+really23.3.4.18-0+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2023-48795 (Terrapin attack):
    The SSH transport protocol with certain OpenSSH extensions,
    allows remote attackers to bypass integrity checks such
    that some packets are omitted (from the extension
    negotiation message), and a client and server may
    consequently end up with a connection for which
    some security features have been downgraded.
    .
    ssh can negotiate "strict KEX" OpenSSH extension with
    peers supporting it; also
    'chacha20-poly1305@openssh.com' algorithm becomes a
    less preferred cipher.
    .
    If strict KEX availability cannot be ensured on both
    connection sides, affected encryption modes(CHACHA and
    CBC) can be disabled with standard ssh configuration.
    This will provide protection against vulnerability, but
    at a cost of affecting interoperability. See
    Configuring algorithms in SSH.
    (Closes: #1059002)
  * Fix CVE-2025-26618:
    Packet size is not verified properly for SFTP packets.
    As a result when multiple SSH packets (conforming to max
    SSH packet size) are received by ssh, they might be combined
    into an SFTP packet which will exceed the max allowed packet
    size and potentially cause large amount of memory
    to be allocated. Note that situation described above can
    only happen for successfully authenticated users after
    completing the SSH handshake.
  * Fix CVE-2025-30211:
    A maliciously formed KEX init message can result
    with high memory usage. Implementation does not verify
    RFC specified limits on algorithm names (64 characters)
    provided in KEX init message. Big KEX init packet may
    lead to inefficient processing of the error data.
    As a result, large amount of memory will be allocated for
    processing malicious data.
    (Closes: #1101713)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 Apr 2025 00:49:30 +0200

erlang (1:19.2.1+dfsg-2+really23.3.4.18-0+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * No change rebuild.

 -- Markus Koschany <apo@debian.org>  Mon, 12 Dec 2022 13:56:52 +0100

erlang (1:19.2.1+dfsg-2+really23.3.4.18-0+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * New upstream version 23.3.4.18:
    - Fix CVE-2022-37026:
      A Client Authentication Bypass vulnerability has been discovered in
      the concurrent, real-time, distributed functional language Erlang.
      Impacted are those who are running an ssl/tls/dtls server using the ssl
      application either directly or indirectly via other applications.
      Note that the vulnerability only affects servers that request client
      certification, that is sets the option {verify, verify_peer}.

 -- Markus Koschany <apo@debian.org>  Mon, 12 Dec 2022 12:31:20 +0100

erlang (1:23.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 25 Feb 2021 12:34:59 +0300

erlang (1:23.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Feb 2021 11:27:52 +0300

erlang (1:23.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Feb 2021 09:36:40 +0300

erlang (1:23.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Jan 2021 11:43:21 +0300

erlang (1:23.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release, which includes a fix for CVE-2020-35733 (the ssl
    application 10.2 accepts and trusts an invalid X.509 certificate chain
    to a trusted root Certification Authority, closes: #980199).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2021 08:50:49 +0300

erlang (1:23.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Dec 2020 13:16:47 +0300

erlang (1:23.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Dec 2020 15:07:09 +0300

erlang (1:23.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Dec 2020 12:01:49 +0300

erlang (1:23.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Nov 2020 17:03:12 +0300

erlang (1:23.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Nov 2020 11:30:20 +0300

erlang (1:23.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Oct 2020 08:52:49 +0300

erlang (1:23.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Sep 2020 22:22:49 +0300

erlang (1:23.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Sep 2020 10:37:31 +0300

erlang (1:23.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document IPAddressDeny and IPAddressAllow options for epmd.socket in
    README.Debian.
  * Remove the obsolete TODO.Debian.
  * Override some lintian warnings about link breakouts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 21 Jul 2020 18:46:49 +0300

erlang (1:23.0.2+dfsg-3) unstable; urgency=medium

  * Add a patch which fixes FTBFS for GNU/Hurd.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Jun 2020 15:35:09 +0300

erlang (1:23.0.2+dfsg-2) unstable; urgency=medium

  * Upload of the new major upstream release to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Jun 2020 19:12:02 +0300

erlang (1:23.0.2+dfsg-1) experimental; urgency=medium


